Subject: [Sipping] New version of Location Conveyance Reqs ID out

From: "James M. Polk" <[email-masked]>
Date: Mon, 23 Feb 2004 11:27:17 -0600

All

This is to update the list on the submission of the latest version of the 
Location Conveyance ID posted recently.

http://www.ietf.org/internet-drafts/draft-ietf-sipping-location-requirements-00.txt

Open issues since the last version that are addressed in this version are:

1. Location should always be transmitted, even if not considered reliable.

2. UAs SHOULD be able to inform the ERC if it considers the location
         info "probably wrong".

         should a flag saying this LI is probably wrong be included?
         This could be a listed open item.

3. In the situation of a VPN, the UA SHOULD keep the first DHCP
         Location Reply, and not the one sent in the VPN set-up.

4. Requirement to indicate in the INVITE where the LI came from (GPS,
         Cell Tower Triangulation, WiFi, DHCP, manual entry as examples).

         And possibly include all that is available

5. Use TLS in emergency calls (eliminates the issue of self signed
         certs and S/MIME), and use S/MIME in normal location
         conveyance scenarios between UAs.

6. Title should have the work "Requirements" in it.

Not addressed and looking for more clarity on each requirement

N1. Requirement to allow ERCs to do "after the fact" investigation on
         why a location was provided (that ended up being wrong).

N2. MUST be able to communicate an MSAG-like equivalent location
         field.

Part that is still open:
O1. Proxies SHOULD be able to insert Location into an emergency
         call in a multipart body or return an LO in a Redirect Response

New open issues are

New-1 - surprised the requirement doesn't exist for a self signed cert
         for S/MIME?

         Current status - Not sure if this should be MUST, SHOULD or
         MAY (or even mentioned, but not disallowed)

New-2 - - there needs to be a "confidence value" included with the LI
         in a SIP message. Currently Cell tower triangulation provides this,
         and isn't sure how many other technologies do.

New-3 - - there should be a flag of where the LI was derived (.11,
         GPS, manual entry, etc)

Any discussion prior to the SIPPING meeting would be appreciated

Thanks

cheers,
James

                                *******************
                 Truth is not to be argued... it is to be presented

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP